Workarea Magento Data Migration
================================================================================

Magento 1.9.x Data Migration plugin for the Workarea platform.

Overview
--------------------------------------------------------------------------------

1. Magento uses MySQL database
2. Workarea uses MongoDB which is a nosql database
3. For new clients who are currently using mangento 1.9.x and are willing to migrate to workarea we need a way to get
all their existing e-commerce data into workarea application so that they can get started with workarea smoothly.
4. This gem aims to provide some rails script/tasks for data migration
5. This gem also aims to provide some rails script/tasks for incremental update of the data in case the client
continues to use their magento app after migration

Prerequisites
-------------------------------------------------------------------------------

* database connection details for the Magento 1.9.x store

Getting Started
--------------------------------------------------------------------------------

This gem contains a Rails engine that must be mounted onto a host Rails application i.e. workarea application.

Then add the gem to your application's Gemfile specifying the source:

    # ...
    gem 'workarea-magento_migrator'
    # ...

Update your application's bundle.

    cd path/to/application
    bundle

For data migration run the following scripts

### TODO

Features
--------------------------------------------------------------------------------

* Data migration from magento 1.9.x to workarea
* Incremental Data update from magento 1.9.x to workarea

Workarea Platform Documentation
--------------------------------------------------------------------------------

See [https://developer.workarea.com](https://developer.workarea.com) for Workarea platform documentation.

License
--------------------------------------------------------------------------------

Workarea Magento Data Migration is released under the [Business Software License](LICENSE)
